'use strict';
define([
  'angular',

  'widgets/mapapp/takephoto/directives/takephotowidget',
  'widgets/mapapp/takephoto/directives/toolbartakephoto',

  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, takephotowidget, toolbartakephoto) {
  // generation du module
  var gctakephoto = angular.module('gc_takephoto', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
  ]);
  // ajout service

  // ajout controller

  // ajout directive
  // modelwidget.directive('gcmodelwidgetdir',gc_scalelinedirectives);
  gctakephoto.directive('takephotowidget', takephotowidget);
  gctakephoto.directive('toolbartakephoto', toolbartakephoto);
  // ajout factory

  //route provider

  return gctakephoto;
});
